searchNodes=[{"ref":"Mix.Tasks.Seedex.Seed.html","title":"Mix.Tasks.Seedex.Seed","type":"task","doc":"Mix task to populate database with seed data The task will load all the files under seeds_path and seeds_path/MIX_ENV if it exists, and will run them sequentially in alphabetic order, regardless of which directory they come from. Options --debug - Enable debug logs --quiet - Disable all logs --env - Override MIX_ENV. Useful to add production seeds in staging env. --seeds-path - Override the settings with the same name from mix config, defaults to priv/repo/seeds Examples mix seedex.seed mix seedex.seed --seeds-path=path/to/seeds --quiet mix seedex.seed --seeds-path=path/to/seeds --env=staging"},{"ref":"Seedex.html","title":"Seedex","type":"module","doc":"Functions to populate database with seed data."},{"ref":"Seedex.html#seed/3","title":"Seedex.seed/3","type":"function","doc":"seed/3 inserts data in the given table Arguments module - The module containing the Ecto schema. contraints - The fields used to idenfity a record. The record will be updated if a record with matching fields already exist. data - The data to insert. It can either be a list of maps, each containing a record or a function which takes a struct as input and output. Examples seed MyApp.Point, [:x, :y], fn point -&gt; point |&gt; Map.put(:x, 4) |&gt; Map.put(:y, 7) |&gt; Map.put(:name, &quot;Home&quot;) end seed MyApp.User, [ %{name: &quot;Daniel&quot;, age: 26}, %{name: &quot;Ai&quot;, age: 24} ]"},{"ref":"Seedex.html#seed_once/3","title":"Seedex.seed_once/3","type":"function","doc":"Same as seed/3 but does not update the record if it already exists"},{"ref":"readme.html","title":"Seedex","type":"extras","doc":"Seedex Seedex is a library for Ecto to easily populate your DB with seed data. It is useful, for example, if you have some master data you need to insert in your database. This is not meant to generate data for your tests, if this is what you need, checkout ecto_fixtures or ex_machina instead."},{"ref":"readme.html#installation","title":"Seedex - Installation","type":"extras","doc":"Add seedex to your list of dependencies in mix.exs: def deps do [{:seedex, &quot;~&gt; 0.2.1&quot;}] end"},{"ref":"readme.html#usage","title":"Seedex - Usage","type":"extras","doc":"First, you need to configure seedex to use your repository: config :seedex, repo: YourApp.Repo, seeds_path: &quot;priv/repo/seeds&quot; # not required, but can be used to customize seeds path Then, you just need to add files under the seeds_path, which defaults to priv/repo/seeds. All files matching seeds_path/*.exs and seeds_path/MIX_ENV/*.exs if it exists will be read. To insert the data, you need to run mix seedex.seed Files are loaded in alphabetic order, independently of the directory they are in. However, the files are really just plain Elixir with nothing special, so you could just use mix run priv/repo/seeds/my_seed.exs, if you needed to. Sample seed file Here is what a seed file looks like: import Seedex seed_once Group, fn group -&gt; group |&gt; Map.put(:id, 1) |&gt; Map.put(:name, &quot;admin&quot;) end seed Group, fn group -&gt; %{group | id: 2, name: &quot;user&quot;} end seed User, [:name], [ %{name: &quot;Daniel&quot;, age: 26, group_id: 1}, %{name: &quot;Ai&quot;, age: 24, group_id: 2}, ] Checkout the documentation for more info."}]